recv.h File Reference

MPD client library. More...

`#include "compiler.h"`
`#include <stdbool.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Functions

bool | mpd_recv_binary (struct mpd_connection *connection, void *data, size_t length)
struct mpd_pair * | mpd_recv_pair (struct mpd_connection *connection)
struct mpd_pair * | mpd_recv_pair_named (struct mpd_connection *connection, const char *name)
void | mpd_return_pair (struct mpd_connection *connection, struct mpd_pair *pair)
void | mpd_enqueue_pair (struct mpd_connection *connection, struct mpd_pair *pair)

## Detailed Description

MPD client library.

Receiving response lines from MPD.

Do not include this header directly. Use mpd/client.h instead.

Definition in file recv.h.

## Function Documentation

## mpd_recv_binary()

bool mpd_recv_binary | ( | struct mpd_connection * | connection,
|  | void * | data,
|  | size_t | length )

Reads the binary data response from the server. The size and binary pair must be already read from the input buffer.

The caller must allocate length bytes of memory for data.

Returns
  true on success

Since
  libmpdclient 2.17

## mpd_recv_pair()

struct mpd_pair * mpd_recv_pair | ( | struct mpd_connection * | connection | ) |

Reads the next mpd_pair from the server. Returns NULL if there are no more pairs.

The caller must dispose the pair with either mpd_return_pair() or mpd_enqueue_pair().

## mpd_recv_pair_named()

struct mpd_pair * mpd_recv_pair_named | ( | struct mpd_connection * | connection,
|  | const char * | name )

Same as mpd_recv_pair(), but discards all pairs not matching the specified name.

## mpd_return_pair()

void mpd_return_pair | ( | struct mpd_connection * | connection,
|  | struct mpd_pair * | pair )

Indicates that the pair object is not needed anymore, and can be freed. You must free the previous mpd_pair object before calling mpd_recv_pair() again.

## mpd_enqueue_pair()

void mpd_enqueue_pair | ( | struct mpd_connection * | connection,
|  | struct mpd_pair * | pair )

Unreads a mpd_pair. You may unread only the one pair you just got from mpd_recv_pair(). Unreading the "NULL" pair is allowed, to allow you to call mpd_recv_pair() again at the end of a response.